//
//  InspectionResultModel.m
//  patrol
//
//  Created by 曹云霄 on 16/9/4.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "InspectionResultModel.h"

@implementation InspectionResultModel


+ (BOOL)propertyIsOptional:(NSString *)propertyName
{
    return YES;
}
@end


@implementation PagingResult


+ (BOOL)propertyIsOptional:(NSString *)propertyName
{
    return YES;
}
@end

@implementation Records
+ (BOOL)propertyIsOptional:(NSString *)propertyName
{
    return YES;
}


+ (JSONKeyMapper *)keyMapper
{
    return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{@"resultStoreCount":@"storeCount"}];
}

@end


@implementation Inspectors

+ (BOOL)propertyIsOptional:(NSString *)propertyName
{
    return YES;
}


+ (JSONKeyMapper *)keyMapper
{
    return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{@"personUuid":@"uuid",@"personStoreCount":@"storeCount"}];
}

@end



@implementation Results
+ (BOOL)propertyIsOptional:(NSString *)propertyName
{
    return YES;
}
+ (JSONKeyMapper *)keyMapper
{
    return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{@"resultState":@"state",@"resultuuid":@"uuid"}];
}

@end


